Subject: Bug#429: x2goserver: x2goserever fails to upgrade.

From: John McMonagle <[email-masked]>
Date: Fri, 7 Feb 2014 13:58:25 -0600

Package: x2goserver
Version: 4.1.0.0-0x2go1+git20140128.909+squeeze.baikal.1
Severity: important

Have 5 production debian squueze servers running x2goserver from baikal
Source line:
deb http://packages.x2go.org/debian squeeze baikal

This is what happens:

root@prview:/etc/apt# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  scribus
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
6 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? 
Setting up x2goserver (4.1.0.0-0x2go1+git20140128.909+squeeze.baikal.1) ...
Cleaning up stale X2Go sessions.
/usr/lib/x2go
Can't call method "capture_stdout" without a package or object reference at 
/usr/share/perl5/X2Go/Utils.pm line 127.
Compilation failed in require at /usr/sbin/x2gocleansessions line 36.
BEGIN failed--compilation aborted at /usr/sbin/x2gocleansessions line 36.
invoke-rc.d: initscript x2goserver, action "start" failed.
dpkg: error processing x2goserver (--configure):
 subprocess installed post-installation script returned error exit status 255
configured to not write apport reports
                                      dpkg: dependency problems prevent 
configuration of x2golxdebindings:
 x2golxdebindings depends on x2goserver (>= 3.0.99.6-0~); however:
  Package x2goserver is not configured yet.
dpkg: error processing x2golxdebindings (--configure):
 dependency problems - leaving unconfigured
......................

Aparently a dependency is missing in x2gocleansessions.

I know squesse is getting old but need it back running.
I thought baikal only got bug fixes and would not break??
If you can't fix this can I get a copy of the last version of x2goserver?
I have 2 servers that are broken and the other 3 I removed x2go from 
sources.list.

Anyhow love x2go but am concerned.

John

-- System Information:
Debian Release: 6.0.8
  APT prefers oldstable-updates
  APT policy: (500, 'oldstable-updates'), (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/6 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages x2goserver depends on:
ii           1.06.95-2                       The GNU bc arbitrary precision 
cal
ii           1.5.36.1                        Debian configuration management 
sy
ii           0.03-1                          Perl module to use the 
freedesktop
ii           1.04-3                          File::ReadBackwards.pm -- Read a 
f
ii           4.1.0.0-0x2go1+git20140128.909+ Perl X2Go::Server:DB package
ii           4.1.0.0-0x2go1+git20140128.909+ Perl X2Go::Server package
ii           4.81.dfsg.1-1                   List open files
ii           1.60-23                         The NET-3 networking toolkit
ii           1:5.5p1-6+squeeze4              secure shell (SSH) client, for 
sec
ii           1:5.5p1-6+squeeze4              secure shell (SSH) server, for 
sec
ii           22.11-1                         utilities that use the proc file 
s
ii           2.06-1+b1                       Automatic Password generation
ii           2:3.5.0.22-0+squeeze~baikal~424 X2Go agent
ii           4.1.0.0-0x2go1+git20140128.909+ X2Go Server (common files)
ii           1:1.0.4-1                       X authentication utility

Versions of packages x2goserver recommends:
ii  fontconfig                    2.8.0-2.1  generic font configuration 
library
ii  sshfs                         2.2-1      filesystem client based on SSH 
Fil
ii  x11-apps                      7.5+5      X applications
ii  x11-session-utils             7.5+1      X session utilities
ii  x11-utils                     7.5+4      X11 utilities
ii  x11-xfs-utils                 7.4+1      X font server utilities
ii  x11-xkb-utils                 7.5+5      X11 XKB utilities
ii  x11-xserver-utils             7.5+3      X server utilities
pn  x2goserver-extensions         <none>     (no description available)
pn  x2goserver-fmbindings         <none>     (no description available)
pn  x2goserver-printing           <none>     (no description available)
pn  x2goserver-xsession           <none>     (no description available)
ii  xfonts-base                   1:1.0.1    standard fonts for X
ii  xinit                         1.2.0-2    X server initialisation tool

Versions of packages x2goserver suggests:
ii  pulseaudio-utils     0.9.21-3+squeeze1   Command line tools for the 
PulseAu
ii  rdesktop             1.7.1-0~bpo60+x2go1 RDP client for Windows NT/2000 
Ter

-- Configuration Files:
/etc/sudoers.d/x2goserver [Errno 13] Permission denied: 
u'/etc/sudoers.d/x2goserver'
/etc/x2go/x2goserver.conf changed:
[limit users]
[limit groups]
[security]
[superenicer]
enable=no
[log]
loglevel=notice

-- debconf information:
  x2goserver/upgrade-4_1_0_0:
  x2goserver/postgresql-upgrade-3_1_0_0: